<!--
 * @Author: Logan.Li
 * @Gitee: https://gitee.com/attacker
 * @email: admin@attacker.club
 * @Date: 2024-01-07 22:22:24
 * @LastEditTime: 2024-01-07 23:29:27
 * @Description: 
-->
# Python 入门
Python 是一门强大而灵活的编程语言，被广泛应用于多个领域，包括 Web 开发、数据科学、人工智能等。在本入门文档中，我们将介绍 Python 的基础知识，帮助你开始学习这门语言。

## 介绍
Python 由 Guido van Rossum 于 1989 年创造，目标是设计一种易读、易学的语言。它具有简洁的语法和强大的标准库，使开发人员能够更轻松地实现各种任务。

## 为什么选择 Python？
易学易用： Python 语法简洁清晰，适合初学者入门，同时也是高级程序员的首选。
丰富的库和框架： Python 生态系统拥有大量的第三方库和框架，可以方便地进行各种开发任务。
跨平台： Python 可以在不同的操作系统上运行，包括 Windows、Linux 和 macOS。
社区支持： Python 拥有庞大的社区，可以轻松获取帮助、学习资源和开源工具。
安装 Python
在开始学习 Python 之前，你需要安装 Python 解释器。以下是在不同操作系统上安装 Python 的步骤：

### Windows
访问 Python 官方网站。
下载适用于 Windows 的最新 Python 版本。
运行下载的安装程序，并按照提示进行安装。
在安装过程中，勾选 "Add Python to PATH" 选项，以便可以在命令提示符中直接运行 Python。
安装完成后，你可以在命令提示符中输入以下命令检查是否成功安装：

```bash
python --version
```

### Linux
大多数 Linux 发行版都预装了 Python。你可以在终端中输入以下命令检查是否已安装：

```bash
python --version
```

如果未安装，可以使用包管理器安装。例如，在 Ubuntu 上，可以运行：

```bash
sudo apt-get update
sudo apt-get install python3
```

### macOS
macOS 通常预装了 Python 2.x 版本。建议安装 Python 3.x。你可以使用 Homebrew 包管理器来安装：

```bash
brew install python3
```
安装完成后，检查版本：

bash
Copy code
python3 --version
Hello, World!
现在，让我们来写一个经典的 "Hello, World!" 程序。创建一个新的文本文件，命名为 hello.py，并输入以下代码：

python
Copy code
print("Hello, World!")
保存文件后，打开终端，进入文件所在的目录，然后运行：

bash
Copy code
python hello.py
或者使用 Python 3：

bash
Copy code
python3 hello.py
你将在终端看到输出："Hello, World!"。

恭喜！你已经成功运行了你的第一个 Python 程序。
